Creates a NodeRoute.
| Name | Description | Additional information |
|---|---|---|
| nodeRouteRepresentation |
Define this parameter in the request body. |
{
"nodeRouteId": "f78fce06-e847-4712-a5ad-c76cd4833a74",
"tenantId": "7c7075ef-a9e7-4f5d-99a5-6dda7db40be6",
"userId": "dff132a2-b9fe-4007-a0cd-a4c30e802d0d",
"userGroupId": "be8314b4-ad4f-48bc-bc2c-b222d5482b0b",
"deviceId": "0a5d804e-01ee-4c90-a190-5594f2dd3d8e",
"deviceGroupId": "d544a62f-5091-47ba-a72b-bdf31c454e94",
"applicationId": "65444f2d-5d69-40f7-89f9-3f23f1db2771",
"applicationVersionId": "431b746f-1ecb-4e91-a053-4559b8911d9f",
"nodeId": "ecc5298d-64df-4039-8b13-83d306c43b1f",
"name": "sample string 4",
"description": "sample string 5",
"nodeCyanId": 6,
"cyanId": 7,
"customKey": "sample string 8",
"customValue": "sample string 9",
"applyParentRoutes": true,
"applyToDescendants": true,
"applyToTree": true,
"applyToParents": true,
"applyToSiblings": true,
"applyToSiblingsType": "sample string 15",
"ignoreNodeIdsInRouting": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"createdDateUtc": "2026-11-13T23:59:40.5897564+00:00",
"updatedDateUtc": "2026-11-13T23:59:40.5897564+00:00"
}
<NodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
<CreatedDateUtc>2026-11-13T23:59:40.5897564+00:00</CreatedDateUtc>
<UpdatedDateUtc>2026-11-13T23:59:40.5897564+00:00</UpdatedDateUtc>
<ApplicationId>65444f2d-5d69-40f7-89f9-3f23f1db2771</ApplicationId>
<ApplicationVersionId>431b746f-1ecb-4e91-a053-4559b8911d9f</ApplicationVersionId>
<ApplyParentRoutes>true</ApplyParentRoutes>
<ApplyToDescendants>true</ApplyToDescendants>
<ApplyToParents>true</ApplyToParents>
<ApplyToSiblings>true</ApplyToSiblings>
<ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
<ApplyToTree>true</ApplyToTree>
<CustomKey>sample string 8</CustomKey>
<CustomValue>sample string 9</CustomValue>
<CyanId>7</CyanId>
<Description>sample string 5</Description>
<DeviceGroupId>d544a62f-5091-47ba-a72b-bdf31c454e94</DeviceGroupId>
<DeviceId>0a5d804e-01ee-4c90-a190-5594f2dd3d8e</DeviceId>
<IgnoreNodeIdsInRouting xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
<d2p1:string>sample string 3</d2p1:string>
</IgnoreNodeIdsInRouting>
<Name>sample string 4</Name>
<NodeCyanId>6</NodeCyanId>
<NodeId>ecc5298d-64df-4039-8b13-83d306c43b1f</NodeId>
<NodeRouteId>f78fce06-e847-4712-a5ad-c76cd4833a74</NodeRouteId>
<TenantId>7c7075ef-a9e7-4f5d-99a5-6dda7db40be6</TenantId>
<UserGroupId>be8314b4-ad4f-48bc-bc2c-b222d5482b0b</UserGroupId>
<UserId>dff132a2-b9fe-4007-a0cd-a4c30e802d0d</UserId>
</NodeRouteRepresentation>
Sample not available.